bugGNU Crypto - Bugs: bug #12721, Java SDK 5 Support

 
 

bug #12721: Java SDK 5 Support

Submitted by:  None
Submitted on:  Sun 17 Apr 2005 08:31:12 PM UTC  
 
Category: NoneSeverity: 3 - Normal
Item Group: NoneStatus: None
Privacy: PublicAssigned to: None
Open/Closed: Open

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Sun 17 Apr 2005 08:31:12 PM UTC, original submission:

Compilation fails in a Java 5 environment, because gnu.crypto.sasl.ClientMechanism, ServerMechanism and various derived classes declare that they throw a IllegalSaslStateException in getNegotiatedProperty. However, the interfaces that come with Java 5 don't declare this exception, instead suggesting that the method throws an IllegalStateException.

To get the code to compile, it should be sufficient to make IllegalSaslStateException derive from IllegalStateException instead of SaslException. However, this change would probably cause runtime errors, as current internal usage of this methods is likely to depend on the current hierarchy. (E.g. SaslInputStream declares an IOException to be thrown from its constructor - which won't happen if IOException is no longer a superclass of IllegalSaslStateException.)

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

CC list is empty

 

Do you think this task is very important?
If so, you can click here to add your encouragement to it.
This task has 0 encouragements so far.

Only logged-in users can vote.

 

Please enter the title of George Orwell's famous dystopian book (it's a date):

 

 

No Changes Have Been Made to This Item

Back to the top


Powered by Savane 3.1-cleanup